package it.integry.integrywmsnative.gest.accettazione;

import dagger.Module;
import dagger.Provides;
import it.integry.integrywmsnative.gest.accettazione.rest.OrdiniAccettazioneRESTConsumer;

@Module(subcomponents = {MainAccettazioneComponent.class})
public class MainAccettazioneModule {

    @Provides
    OrdiniAccettazioneRESTConsumer providesOrdiniAccettazioneRESTConsumer() {
        return new OrdiniAccettazioneRESTConsumer();
    }

    @Provides
    MainAccettazioneViewModel providesMainAccettazioneViewModel(OrdiniAccettazioneRESTConsumer ordiniAccettazioneRESTConsumer) {
        return new MainAccettazioneViewModel(ordiniAccettazioneRESTConsumer);
    }

}
